var search_data = {"index":{"searchIndex":["votd","base","biblegateway","esvbible","helper","commandline","text","invalidbibleversion","netbible","votderror","banner()","clean_copyright()","clean_text()","clean_verse_end()","clean_verse_start()","custom_html()","custom_text()","generate_link()","get_copyright()","get_votd()","get_votd()","get_votd()","get_votd()","new()","new()","new()","new()","set_defaults()","strip_copyright_text()","strip_html_quote_entities()","strip_html_tags()","to_html()","to_s()","to_text()","word_wrap()"],"longSearchIndex":["votd","votd::base","votd::biblegateway","votd::esvbible","votd::helper","votd::helper::commandline","votd::helper::text","votd::invalidbibleversion","votd::netbible","votd::votderror","votd::helper::commandline#banner()","votd::esvbible#clean_copyright()","votd::biblegateway#clean_text()","votd::helper::text#clean_verse_end()","votd::helper::text#clean_verse_start()","votd::base#custom_html()","votd::base#custom_text()","votd::netbible#generate_link()","votd::biblegateway#get_copyright()","votd::base#get_votd()","votd::biblegateway#get_votd()","votd::esvbible#get_votd()","votd::netbible#get_votd()","votd::base::new()","votd::biblegateway::new()","votd::esvbible::new()","votd::netbible::new()","votd::base#set_defaults()","votd::biblegateway#strip_copyright_text()","votd::biblegateway#strip_html_quote_entities()","votd::helper::text#strip_html_tags()","votd::base#to_html()","votd::base#to_s()","votd::base#to_text()","votd::helper::commandline#word_wrap()"],"info":[["Votd","","Votd.html","","<p>This class acts as the entry point to all sub-modules that are used to interact with various Verse of …\n"],["Votd::Base","","Votd/Base.html","","<p>This is the base class that all Votd lookup modules inherit from. It provides default values for the …\n"],["Votd::BibleGateway","","Votd/BibleGateway.html","","<p>Retrieves a Verse of the Day from biblegateway.com using a variety of translations.\n<p>Default translation …\n"],["Votd::ESVBible","","Votd/ESVBible.html","","<p>Retrieves a Verse of the Day from www.gnpcb.org, Good News Publishers, Crossway Bibles, using the English …\n"],["Votd::Helper","","Votd/Helper.html","","<p>This module provides various helper methods used throughout the codebase.\n"],["Votd::Helper::CommandLine","","Votd/Helper/CommandLine.html","","<p>This module contains helper methods that support the command-line application\n"],["Votd::Helper::Text","","Votd/Helper/Text.html","","<p>This module contains helper methods that support the VotD text parsing.\n"],["Votd::InvalidBibleVersion","","Votd/InvalidBibleVersion.html","",""],["Votd::NetBible","","Votd/NetBible.html","","<p>Retrieves a Verse of the Day from bible.org using the NETBible translation.\n"],["Votd::VotdError","","Votd/VotdError.html","","<p>Votd exception class. This will be thrown on errors returned by Votd.\n"],["banner","Votd::Helper::CommandLine","Votd/Helper/CommandLine.html#method-i-banner","(text, line_width=40)","<p>Generates a text banner suitable for displaying from a command-line utility. @example\n\n<pre>banner(&quot;My Banner&quot;, ...</pre>\n"],["clean_copyright","Votd::ESVBible","Votd/ESVBible.html#method-i-clean_copyright","(text)","<p>Cleans up the copyright. Removes:\n\n<pre>- Tabs, line breaks</pre>\n<p>Inserts:\n"],["clean_text","Votd::BibleGateway","Votd/BibleGateway.html#method-i-clean_text","(text)","<p>Cleans up the text. Removes:\n\n<pre>- HTML quote entities\n- HTML tags\n- Copyright text\n- Extra spaces, line breaks, ...</pre>\n"],["clean_verse_end","Votd::Helper::Text","Votd/Helper/Text.html#method-i-clean_verse_end","(text)","<p>Appends &#39;…&#39; if verse ends abruptly @param [String] text the text to process @return [String] …\n"],["clean_verse_start","Votd::Helper::Text","Votd/Helper/Text.html#method-i-clean_verse_start","(text)","<p>Prepends &#39;…&#39; if first letter is not a capital letter @param [String] text the text to process …\n"],["custom_html","Votd::Base","Votd/Base.html#method-i-custom_html","()","<p>Overrides the {#to_html} method with your own custom HTML. Use a block to specify your custom HTML. @example …\n"],["custom_text","Votd::Base","Votd/Base.html#method-i-custom_text","()","<p>Overrides the {#to_text} with your own custom text. Use a block to specify your custom text. @example …\n"],["generate_link","Votd::NetBible","Votd/NetBible.html#method-i-generate_link","(bookname, chapter, verse_number)",""],["get_copyright","Votd::BibleGateway","Votd/BibleGateway.html#method-i-get_copyright","(text)","<p>Extracts copyright tag from the Bible text @return [String]\n"],["get_votd","Votd::Base","Votd/Base.html#method-i-get_votd","()","<p>Gets the VotD. For {Votd::Base} this will return default values and can be used in the event of an exception …\n"],["get_votd","Votd::BibleGateway","Votd/BibleGateway.html#method-i-get_votd","()","<p>Gets the votd from the Bible Gateway RSS feed @return [String]\n"],["get_votd","Votd::ESVBible","Votd/ESVBible.html#method-i-get_votd","()","<p>Gets the votd from the Good News Publishers, Crossway Bibles, RSS feed @return [String]\n"],["get_votd","Votd::NetBible","Votd/NetBible.html#method-i-get_votd","()","<p>Gets the verse in JSON format from bible.org\n"],["new","Votd::Base","Votd/Base.html#method-c-new","()","<p>Initializes the class and retrieves the verse of the day. @return [Base]\n"],["new","Votd::BibleGateway","Votd/BibleGateway.html#method-c-new","(version = :niv)","<p>Initializes the BibleGateway class @return [BibleGateway]\n"],["new","Votd::ESVBible","Votd/ESVBible.html#method-c-new","()","<p>Initializes the ESVBible class @return [Votd::ESVBible]\n"],["new","Votd::NetBible","Votd/NetBible.html#method-c-new","()","<p>Initializes the NetBible class @return [Votd::NetBible]\n"],["set_defaults","Votd::Base","Votd/Base.html#method-i-set_defaults","()",""],["strip_copyright_text","Votd::BibleGateway","Votd/BibleGateway.html#method-i-strip_copyright_text","(text)","<p>Removes copyright text from the Bible text @return [String]\n"],["strip_html_quote_entities","Votd::BibleGateway","Votd/BibleGateway.html#method-i-strip_html_quote_entities","(text)","<p>Removes HTML quote entities added by BibleGateway @return [String]\n"],["strip_html_tags","Votd::Helper::Text","Votd/Helper/Text.html#method-i-strip_html_tags","(text)","<p>Removes HTML tags from the given text @param [String] text the text you want to strip HTML tags from …\n"],["to_html","Votd::Base","Votd/Base.html#method-i-to_html","()","<p>Returns the Verse of the Day formatted as HTML. e.g.\n\n<pre>&lt;p class=&quot;votd-text&quot;&gt;For by grace you are saved through ...</pre>\n"],["to_s","Votd::Base","Votd/Base.html#method-i-to_s","()",""],["to_text","Votd::Base","Votd/Base.html#method-i-to_text","()","<p>Returns the Verse of the Day formatted as plain text. e.g.\n\n<pre>For God so loved the world... -- John 3:16 ...</pre>\n"],["word_wrap","Votd::Helper::CommandLine","Votd/Helper/CommandLine.html#method-i-word_wrap","(text, line_width=40)","<p>Word-wraps text to the specified column width. @param [String] text the text to be wrapped @param [Integer] …\n"]]}}